summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormynacol2021-02-05 22:37:05 +0100
committermynacol2021-02-05 22:37:05 +0100
commit64bc5aa66a0d435dcdd11338947a9c0210c2909f (patch)
treeb72222458e65af8924ae73a15ebff116c95b9c50
parentf573240b78df5b9bd35af314fd510ed9fd39faf6 (diff)
downloadaur-64bc5aa66a0d435dcdd11338947a9c0210c2909f.tar.gz
Fix problems produced by bash "strict mode"
-rwxr-xr-xdark-theme.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/dark-theme.sh b/dark-theme.sh
index 8a4486cc5799..906c94160c6c 100755
--- a/dark-theme.sh
+++ b/dark-theme.sh
@@ -65,11 +65,13 @@ f="$HOME/.config/Code - OSS/User/settings.json"
jq ".[\"workbench.colorTheme\"]=\"${UI_VSCODE}\"" "$f" | sponge "$f"
# set background
+# properly supply arguments separated by spaces
+IFS=$' \n\t'
if [[ "$XDG_SESSION_TYPE" == "x11" ]]; then
feh --no-fehbg --bg-center ${BG_X11}
elif [[ -n "$SWAYSOCK" ]]; then
- killall -q swaybg
- swaybg --mode center "$BG_SWAY" &
+ killall -q swaybg || true
+ swaybg --mode center $BG_SWAY &
else
echo "No supported window manager."
echo "Not setting background"